Legacy CHEESE API

Nearest Cluster

Suggest an edit
GET
/nearest_cluster

Retrieve the nearest cluster to a single molecule

This endpoint allows users to get the nearest cluster to a molecule according to a search type.

Parameters:

  • search_input (str): The molecule embedding used as an input to the search (default is the morgan embedding of Aspirin ).
  • db_name (DatabaseEnum): The database to use for the search.
  • search_type (SearchTypes): The type of search to perform (default is "morgan").
  • save_embs (bool): Whether to save embeddings for the nearest cluster (default is False)
  • dest (str): Destination path to save the embeddings of the nearest cluster (default is /tmp/nearest_embeddings).

Returns:

  • A dictionary containing the molecules of the nearest cluster, possibly with a message pointing to the path where to find embeddings

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_input?Search Input
Default"CC(=O)Oc1ccccc1C(=O)O"
db_name?DatabaseEnumAll

Selected Database

Default"CHEMINFINITA-SYNTHON"

Value in

  • "CHEMINFINITA-SYNTHON"
  • "CHEMRIYA"
  • "CHEMSPACE-5B-BEYOND-RO5"
  • "CHEMSPACE-5B-FREEDOM"
  • "CHEMSPACE-5B-RO5"
  • "CHEMSPACE-FREEDOM-SYNTHON"
  • "CHEMSPACE-SCREENING"
  • "EMOLECULES-EXPLORE-SYNTHON"
  • "EMOLECULES-SYNPLE-SYNTHON"
  • "ENAMINE-AA"
  • "ENAMINE-REAL"
  • "ENAMINE-REAL-V5A-SYNTHON"
  • "EXPLORE-DIVERSE"
  • "EXPLORE-ENUMERATED"
  • "MCULE-FULL"
  • "MCULE-IN-STOCK"
  • "MOLECULE-ONE"
  • "MOLECULEONE-D2B-SYNTHON"
  • "MOLPORT"
  • "SYNPLE-4B"
  • "XTALPI"
  • "XTALPI-SYNTHON"
  • "ZINC15"
search_type?SearchTypes

The search type

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
save_embs?Save Embs

Whether to save embeddings for the retrieved cluster

Defaultfalse
dest?Dest

Destination path

Default"/tmp/nearest_embeddings"

Response Body

application/json

application/json

curl -X GET "https://example.com/nearest_cluster"
null